Bug 1510059 - [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP
Summary: [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:be54307ebdeaf697925646d1704...
: 1528442 1528589 1528703 1528791 1528903 1529051 1529546 1529606 1530030 1530303 1530436 1531123 1531366 1531394 1532562 1533844 1534037 1534168 1534605 1535356 1535690 1536216 1538729 1539690 1539827 1540143 1541649 1541716 1541974 1542032 1542146 1543816 1544161 1544388 1545814 1546468 1546491 1547190 1547558 1547840 1547901 1548335 1548372 1548594 1548623 1548629 1548723 1548738 1548768 1548857 1548888 1549343 1549472 1549476 1549533 1549685 1549692 1550042 1550092 1550209 1550504 1550650 1550691 1550719 1550738 1550780 1550897 1551194 1551341 1551344 1551620 1551734 1551764 1551945 1551967 1552003 1552104 1552105 1552831 1553013 1557017 1557553 1557612 1557828 1558479 1558868 1558941 1558987 1559145 1559186 1559192 1559579 1559863 1559896 1560135 1560151 1560193 1560245 1560270 1560569 1560705 1560825 1560836 1560869 1560904 1560940 1561066 1561535 1561925 1562491 1562545 1564304 1564741 1564854 1564864 1565538 1565556 1565558 1565744 1565872 1566137 1566261 1566610 1566986 1567271 1567317 1567397 1567433 1567577 1567588 1567648 1568113 1569080 1569845 1570179 1570239 1570302 1570413 1570434 1571475 1572114 1572909 1575654 1576784 1577541 1598681 1602065 1639661 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 16:07 UTC by Mikhail
Modified: 2018-11-30 23:06 UTC (History)
225 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:06:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (75.34 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: cgroup (289 bytes, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: core_backtrace (42.80 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: dso_list (8.03 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: environ (1.59 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: maps (141.45 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: mountinfo (4.20 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: open_fds (10.39 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
File: var_log_messages (2.37 KB, text/plain)
2017-11-06 16:07 UTC, Mikhail
no flags Details
system log (322.22 KB, text/x-vhdl)
2017-11-06 16:35 UTC, Mikhail
no flags Details
sound devices (40.94 KB, image/png)
2018-02-10 14:06 UTC, Mikhail
no flags Details
system log (1.35 MB, text/plain)
2018-02-10 14:16 UTC, Mikhail
no flags Details
dmesg (148.11 KB, text/plain)
2018-02-10 14:17 UTC, Mikhail
no flags Details
backtrace (34.37 KB, text/plain)
2018-02-10 14:21 UTC, Mikhail
no flags Details
system log (370.72 KB, text/plain)
2018-02-24 17:48 UTC, Mikhail
no flags Details
System log (102.63 KB, text/plain)
2018-04-11 07:10 UTC, Elliott Sales de Andrade
no flags Details

Description Mikhail 2017-11-06 16:07:21 UTC
Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=080dd602856d412c9a43640ef29bfca7;i=282fb6;b=53959d45663144eeaf477578c1b5be1f;m=162363f4ab;t=55d527558cd25;x=3a9a6f257f9a7ec3
kernel:         4.13.11-300.fc27.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 dump_gjs_stack_on_signal_handler at ../src/main.c:372
 #3 _g_log_abort at gmessages.c:554
 #4 g_log_writer_default at gmessages.c:2628
 #5 g_log_structured_array at gmessages.c:1941
 #6 g_log_structured at gmessages.c:1768
 #9 xkl_process_error at xklavier_evt.c:541
 #14 XPending at Pending.c:55
 #15 gdk_check_xpending at gdkeventsource.c:269
 #16 gdk_event_source_check at gdkeventsource.c:306

Comment 1 Mikhail 2017-11-06 16:07:28 UTC
Created attachment 1348664 [details]
File: backtrace

Comment 2 Mikhail 2017-11-06 16:07:30 UTC
Created attachment 1348665 [details]
File: cgroup

Comment 3 Mikhail 2017-11-06 16:07:32 UTC
Created attachment 1348666 [details]
File: core_backtrace

Comment 4 Mikhail 2017-11-06 16:07:33 UTC
Created attachment 1348667 [details]
File: cpuinfo

Comment 5 Mikhail 2017-11-06 16:07:35 UTC
Created attachment 1348668 [details]
File: dso_list

Comment 6 Mikhail 2017-11-06 16:07:37 UTC
Created attachment 1348669 [details]
File: environ

Comment 7 Mikhail 2017-11-06 16:07:38 UTC
Created attachment 1348670 [details]
File: limits

Comment 8 Mikhail 2017-11-06 16:07:41 UTC
Created attachment 1348671 [details]
File: maps

Comment 9 Mikhail 2017-11-06 16:07:43 UTC
Created attachment 1348672 [details]
File: mountinfo

Comment 10 Mikhail 2017-11-06 16:07:45 UTC
Created attachment 1348673 [details]
File: open_fds

Comment 11 Mikhail 2017-11-06 16:07:47 UTC
Created attachment 1348674 [details]
File: proc_pid_status

Comment 12 Mikhail 2017-11-06 16:07:48 UTC
Created attachment 1348675 [details]
File: var_log_messages

Comment 13 Mikhail 2017-11-06 16:35:17 UTC
Created attachment 1348682 [details]
system log

Comment 14 Robert Rotter 2017-11-13 15:34:00 UTC
Similar problem has been detected:

Did not reproduce it yet.
It happened while docking the laptop.
Lenovo T460P & lenovo docking station. 2 Benq monitors attached.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=77cddd2acadb4029b268eb922988d356;i=24b0e;b=61579c1dbd964543b51485af51ce39fa;m=5a9a9a84f;t=55dde8687ddb1;x=7c2ae09d0ab7a1ca
kernel:         4.13.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Pablo Castorino 2017-11-14 14:46:06 UTC
*** Bug 1512980 has been marked as a duplicate of this bug. ***

Comment 16 Pete Walter 2017-11-15 09:27:59 UTC
Similar problem has been detected:

gnome-shell crashed during the night while I was away from the computer.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7b63609a820e4c0fa68d0f3afba67aa4;i=33520;b=ea42bc3ccaee4888908b53d2ffb43b60;m=d0050a46c;t=55dffc610b7bd;x=1b597963cdadbcbc
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Nicholas Lima de Souza Silva 2017-11-15 14:20:18 UTC
*** Bug 1513492 has been marked as a duplicate of this bug. ***

Comment 18 Jeff Stafford 2017-11-15 18:40:55 UTC
Similar problem has been detected:

gnome-shell crashed on Fedora 27 when resuming from unlock on both X and Wayland. At first it crashed when resuming the session, then the second time it kills the session entriely. A fresh reboot appeared to solve the issue (for now).

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=91d260e821e9428ebd91b09b7396d8cf;i=12213;b=954bfcc373d24deb82ced9ce2a0cebd7;m=3659670f9;t=55e09a84fcfff;x=a96c04cbd28ca09d
kernel:         4.13.12-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Jannik 2017-11-15 23:26:08 UTC
*** Bug 1513776 has been marked as a duplicate of this bug. ***

Comment 20 Michael Cronenworth 2017-11-16 14:17:19 UTC
Similar problem has been detected:

Opened Pidgin's account settings.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f2d3da224af54aefac0751fff5650550;i=14b358;b=b2d6ef4c905743f0a1a57342b1f4eaef;m=83f906aa8;t=55e1a208c1e7a;x=8a941cbafa9caf05
kernel:         4.13.12-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Stewart Smith 2017-11-16 20:47:43 UTC
*** Bug 1514220 has been marked as a duplicate of this bug. ***

Comment 22 Jeff Stafford 2017-11-17 19:30:49 UTC
Found my issue - was caused by an out-of-date Gnome Shell extension - specifically the "Multi Monitors Add-On" (https://extensions.gnome.org/extension/921/multi-monitors-add-on/). Disabled it and the issue has disappeared (updating it also seemed to work, but I've left things disabled for now). 

I think on a new upgrade it would be ideal to force update all of a user's Gnome Shell extensions to the latest version, or at least disable all that do not ship by default with the new Fedora version.

Comment 23 Michael Cronenworth 2017-11-17 20:05:48 UTC
@Jeff, that is not the issue. I do not have that extension.

Gnome-shell already has that feature. It tracks and enforces an API level in extensions so extensions not declaring support for the latest gnome-shell will not be loaded.

Comment 24 Subhendu Ghosh 2017-11-18 05:09:31 UTC
*** Bug 1514732 has been marked as a duplicate of this bug. ***

Comment 25 Gian 2017-11-18 22:20:53 UTC
*** Bug 1514850 has been marked as a duplicate of this bug. ***

Comment 26 Lars 2017-11-19 21:03:00 UTC
*** Bug 1514981 has been marked as a duplicate of this bug. ***

Comment 27 Marten 2017-11-20 21:04:47 UTC
*** Bug 1515473 has been marked as a duplicate of this bug. ***

Comment 28 ricky.tigg 2017-11-21 13:28:48 UTC
Similar problem has been detected:

Despite I logged in by selecting an Xfce session, system persists at each attempt to log in into an Xfce session to log in me into the previous session which was a Gnome session. Same common user logged in into both sessions. Only a reboot allowed to effectively log in into an Xfce session.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=791a8218ad784908bd2926fc8139163d;i=1e000;b=aaa2f5bd9c9f4a228559855c00ca8296;m=42f931cf;t=55e7de6ff7a57;x=2b03ba4dfaab920e
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Paul Lazaga 2017-11-21 15:50:50 UTC
*** Bug 1515926 has been marked as a duplicate of this bug. ***

Comment 30 Andreas Müller 2017-11-22 10:00:49 UTC
*** Bug 1516217 has been marked as a duplicate of this bug. ***

Comment 31 Granata Giovanni 2017-11-22 11:17:12 UTC
*** Bug 1516253 has been marked as a duplicate of this bug. ***

Comment 32 Michael Cronenworth 2017-11-22 13:38:44 UTC
Similar problem has been detected:

Tried to connect to a VPN.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f2d3da224af54aefac0751fff5650550;i=1589d3;b=f94aeb6b648c4b468d64fdbfdc7dfa4c;m=36164ff;t=55e92597f9cb7;x=44734729e0e4fc86
kernel:         4.13.12-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 33 aidanomara+bugzilla 2017-11-22 22:17:19 UTC
*** Bug 1516553 has been marked as a duplicate of this bug. ***

Comment 34 Granata Giovanni 2017-11-22 22:43:29 UTC
Similar problem has been detected:

Starting Spotufy Client

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8ded2b9fab0540d9bb72dab4d3a85cb6;i=4b2a;b=aef84c777f2942929a9d0d342d114c34;m=2b24f8148;t=55e99bbe759b1;x=6fb1105676f94b41
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 35 ricky.tigg 2017-11-23 09:00:16 UTC
Similar problem has been detected:

As the same user in all sessions, I logged out from Xfce session, then log in to a Gnome session. In Gnome I changed system language from Finnish to English (UK), then logged out from Gnome session, then attempted to log in back to Xfce sessions but now all attempts fail. Logins to Gnome sessions  remain possible.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=5fca21eb6e22448aa5e0bf692c42ddf8;i=12316;b=1fd220b3397842c5b883fa643ec28c83;m=1116cda42;t=55ea25bd14d0a;x=b834f8aac06c4e
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 36 ricky.tigg 2017-11-23 09:25:32 UTC
In Gnome I changed system language from English (UK) back to Finnish, then logged out from Gnome session, then attempted to log in to Xfce sessions; all attempts still fail. Only a system reboot allow to log in to Xfce sessions.

Comment 37 rickyb.com 2017-11-24 11:17:38 UTC
*** Bug 1517234 has been marked as a duplicate of this bug. ***

Comment 38 Christian Stadelmann 2017-11-26 21:18:18 UTC
Similar problem has been detected:

I don't know exactly what happened, but I was using gnome-shell in a dual-monitor setup and I have seen some lag before this crash happened. I think the crash happened on logout, so not much user data was destroyed.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=56b603a1a0544164a0009e9af71baa8c;i=3d135;b=f24f84a0851744ea803d9738f2d5c57b;m=40c99004c;t=55ecf0ed1f56e;x=f6d35b427dee59ce
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp

Comment 39 Andrey Motoshkov 2017-11-30 12:31:29 UTC
*** Bug 1519221 has been marked as a duplicate of this bug. ***

Comment 40 Stephen Finucane 2017-11-30 15:53:05 UTC
*** Bug 1517009 has been marked as a duplicate of this bug. ***

Comment 41 Stephen Finucane 2017-11-30 15:53:14 UTC
*** Bug 1516633 has been marked as a duplicate of this bug. ***

Comment 42 Stephen Finucane 2017-11-30 15:54:16 UTC
I'm also seeing this issue. I have a dual-monitor setup driven by a Lenovo T460s with a dock

Comment 43 Daniel Wang 2017-11-30 21:54:17 UTC
*** Bug 1519557 has been marked as a duplicate of this bug. ***

Comment 44 Kristian Frantti 2017-12-01 15:37:06 UTC
*** Bug 1519868 has been marked as a duplicate of this bug. ***

Comment 45 Nicholas Lima de Souza Silva 2017-12-01 17:34:29 UTC
*** Bug 1519926 has been marked as a duplicate of this bug. ***

Comment 46 Daniel Huigens 2017-12-02 06:03:56 UTC
Similar problem has been detected:

I opened a new Firefox window (from the dash of the Dash to Dock extension. Firefox was already running) and Gnome crashed. This happens occasionally, but not always. I also have the Multi Monitors Add-On installed.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f588e38bb1d44bd0a3be0ca089d3c12c;i=94429;b=45dc6d85f7a84d0289167ad74e049796;m=12ca581cbf;t=55f54b03a8831;x=dc9e80dc9bbfced
kernel:         4.13.15-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 47 Jerry M. Lineberry 2017-12-03 01:25:14 UTC
*** Bug 1520104 has been marked as a duplicate of this bug. ***

Comment 48 Andrey Motoshkov 2017-12-03 07:40:43 UTC
*** Bug 1520113 has been marked as a duplicate of this bug. ***

Comment 49 Sr Neko 2017-12-03 13:30:57 UTC
Similar problem has been detected:

lo unico que puedo ver es que no aparece la area de notificaciones 

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=ebc198727bb84582ab91cdf70d9935c3;i=389a;b=30065ba8d80b4711ab73407201fa9e5f;m=29480968;t=55f6f75d1beb4;x=b6ffb73a2620091e
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 50 hugo.thiessard 2017-12-03 19:02:54 UTC
*** Bug 1520166 has been marked as a duplicate of this bug. ***

Comment 51 Jacob 2017-12-04 18:15:28 UTC
Similar problem has been detected:

1. Suspend computer by closing lid.
2. Plug in HDMI cable.
3. Open lid to unsuspend computer.

Observe the desktop and lock screen briefly flash before Gnome crash.

Also, I am using the proprietary nvidea driver.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=593eda0c83194b6993db965ed1891a42;i=a759;b=78b9f0141cbb493686de5d8ab864a6b4;m=b802bd06;t=55f86d46e7cb2;x=d83d03e7d171de48
kernel:         4.13.15-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 52 Georgii Iesaulov 2017-12-05 07:56:44 UTC
Similar problem has been detected:

It happens after some time after system loads or restarts. But it is reproducible every time for me.
Every time I navigate to Activities menu to start another application, Gnome crashes.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=567e224db9e243bf9348020ea35247c3;i=2b8c1;b=63c9fb039ac74d5aacc8355083dbcbb6;m=1cc66f301;t=55f92640d5723;x=e8f83766f294f482
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 Martin Kupec 2017-12-05 12:00:05 UTC
Similar problem has been detected:

The crash happens randomly while using terminal.
It happens only when using dual monitor setting (laptop and 1 external).

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=ab0a884199d84b75b6e92095edd871f3;i=e190;b=5d6901352f2945628055d893ec665b8e;m=362226105;t=55f967cb7ac86;x=beea14d663e4940
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 54 Georgii Iesaulov 2017-12-06 04:02:46 UTC
Similar problem has been detected:

1. Start up computer.
2. Open couple applications - any windows like Mozilla, Sublime Text, default Terminal app.
3. Wait for ~30 mins.
4. Observe Gnome crash.

Happens every day, couple times per day.
Dell XPS 15 9560 with nVidia driver installed.
Gnome became almost un use-able with such crashes. 

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=50ae62ef81d74ca29935598f5988ae1e;i=4f1b;b=9d4ab5010dd94fe884d4ad42bcde32ff;m=61a7a8e28;t=55fa3e9c3d73c;x=b5c5a3cc697de5aa
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 55 Michael Cronenworth 2017-12-06 15:02:48 UTC
Similar problem has been detected:

Opened a new window. It seems opening a window is what triggers this bug. Usually opening a child window of an application.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f2d3da224af54aefac0751fff5650550;i=172b03;b=757ccc03266146b08fb6f6ca19bf7f8f;m=28d598f008;t=55facd4e424e1;x=4b75be9ef4fa31b6
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 56 Costa Tsaousis 2017-12-06 17:51:13 UTC
Similar problem has been detected:

just logged in

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=85c915940301474aa50b419f663a4fcc;i=26a2b;b=d842303dff424eb5b7b75a42f4650394;m=2eb06ce;t=55faf8539174b;x=8899e94ce8de60a3
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 57 Jason Birch 2017-12-06 23:56:46 UTC
*** Bug 1522995 has been marked as a duplicate of this bug. ***

Comment 58 Steven Stern 2017-12-07 14:23:21 UTC
Similar problem has been detected:

dragged a window

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=45b18600c1434ab78c5bccb8e17dd076;i=14e743;b=efd05f41449846d58011b37d5113bb56;m=aa69afc2e;t=55fc0a0af123b;x=1bffffe3092b5791
kernel:         4.13.16-302.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 59 fedbzville 2017-12-07 17:53:10 UTC
*** Bug 1523323 has been marked as a duplicate of this bug. ***

Comment 60 Costa Tsaousis 2017-12-07 19:39:21 UTC
Similar problem has been detected:

just logged in after boot

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=85c915940301474aa50b419f663a4fcc;i=36e55;b=b157c617fa804062a11764ef1fb13f5f;m=2808575;t=55fc526bbc573;x=138e76fb72a9d376
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Comment 61 Georgii Iesaulov 2017-12-08 07:07:02 UTC
Similar problem has been detected:

Tried to open Gajim application

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=50ae62ef81d74ca29935598f5988ae1e;i=1ee02;b=9d4ab5010dd94fe884d4ad42bcde32ff;m=14e797d9a0;t=55fcecfb50773;x=bff2e9c57450f559
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 VincentL 2017-12-09 12:03:47 UTC
*** Bug 1523952 has been marked as a duplicate of this bug. ***

Comment 63 lennart_reuther 2017-12-10 13:21:01 UTC
Similar problem has been detected:

Unplugging laptop from docking station, where it was connected with 2 external screens. On eof the screens was loading a zoutube video in full screen.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=01d0dc94c90e46c89e4dc8a349600c0c;i=d6dc1;b=7255e2ef2986406184f286762b78eb7f;m=f624a410d;t=55ffc30261910;x=e3559b24d22caa56
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 64 Nicolas Dufresne 2017-12-10 20:30:16 UTC
*** Bug 1524214 has been marked as a duplicate of this bug. ***

Comment 65 Costa Tsaousis 2017-12-10 20:39:38 UTC
Similar problem has been detected:

just logged in after boot

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=85c915940301474aa50b419f663a4fcc;i=68146;b=23f1af8258a44bcba729b4d3f5235181;m=29d14d5;t=5600254804bb4;x=ac937fadd2c3c4
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 66 Georgii Iesaulov 2017-12-11 08:40:16 UTC
Similar problem has been detected:

Interacted with Gnome.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2500013af1824620834f21213d13aaf3;i=512a;b=06385d06a2e74daa8f4154dc42d790f3;m=30ec74336;t=5600c76be07b5;x=1f2789a03a5bcc4d
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 67 Costa Tsaousis 2017-12-11 18:38:49 UTC
Similar problem has been detected:

just logged in after boot

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=85c915940301474aa50b419f663a4fcc;i=83cf8;b=0d62ae5884774642b96a40f0ccef3899;m=436673d8;t=56014b77a00c6;x=5ec99a6317b956a5
kernel:         4.13.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 68 Doug Maxey 2017-12-11 21:33:38 UTC
*** Bug 1524708 has been marked as a duplicate of this bug. ***

Comment 69 Sergey Morozik 2017-12-12 13:27:27 UTC
Similar problem has been detected:

gnome session crashes almost after every system wake up from sleep or from screen lock.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=bdf0eb3cd87440a18f0c42480b89e397;i=5e975;b=99706c2fec34488abd5d3e205f22644e;m=5983c28b29;t=560245887c3d9;x=55027830d62b579b
kernel:         4.13.16-302.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 70 Georgii Iesaulov 2017-12-12 16:41:27 UTC
Similar problem has been detected:

Every other time user logs in to computer

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2500013af1824620834f21213d13aaf3;i=9d81;b=06385d06a2e74daa8f4154dc42d790f3;m=9fe3a8204;t=56024a4529c32;x=b7509244feb33254
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 71 Daniel Wang 2017-12-12 23:05:32 UTC
Similar problem has been detected:

clicking on a link in chrome.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=41786f146fc545cdac583e307ec8b08f;i=1003cf;b=534748b16e344131af2e0728f3418c7a;m=a475774b5b;t=5602c897d7374;x=c85c73866bb7c04e
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 72 Tom 2017-12-13 10:56:14 UTC
*** Bug 1525447 has been marked as a duplicate of this bug. ***

Comment 73 mobidyc 2017-12-13 12:02:21 UTC
*** Bug 1525470 has been marked as a duplicate of this bug. ***

Comment 74 bugzilla 2017-12-14 00:54:31 UTC
*** Bug 1525757 has been marked as a duplicate of this bug. ***

Comment 75 Costa Tsaousis 2017-12-14 01:41:15 UTC
Similar problem has been detected:

just logged in after boot

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=dc45e99ddeec41c1bc7deace8a209bc2;i=305ed;b=e807932a772c4fc78a50d04e6618f5d8;m=2b4c2a0;t=5603daf6d4cb7;x=ec2f753347d8b323
kernel:         4.14.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 76 Damien Cassou 2017-12-14 14:21:35 UTC
*** Bug 1525979 has been marked as a duplicate of this bug. ***

Comment 77 mobidyc 2017-12-14 15:14:33 UTC
Similar problem has been detected:

Crash when I plugged the "dell dock wd15 130w".
on the dock, a second screen monitor, a keybord and a mouse are conencted.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b040fec7efbb4fad982fc997e1766b75;i=a0f7;b=16c595b85ec44118bd74a194b389f62a;m=18d62c2a74;t=5604def0dbac4;x=14044ca17571e2f7
kernel:         4.13.16-302.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 78 kevin 2017-12-14 16:50:31 UTC
Similar problem has been detected:

Runnging dual monitors. I have a TRENDnet KVM switch that I use to switch my primary monitor between this workstation and another. This crash happened when I switched _to_ this workstation. The my session crashed and went to the login screen.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=46eee5ba22c14da48bf6bf86e1171ee3;i=258c59;b=fa13f5f0c50d4d41a2db2f8cfd312df3;m=4e16d066f4;t=5604f9155fc01;x=89549877f74b8982
kernel:         4.13.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 79 kevin 2017-12-14 16:54:30 UTC
Running `coredumpctl gdb` on this dump with symbols, it seems that blur_pixels is calling g_malloc0 asking for 18446744072098939136 bytes, which is too many:

#8  0x00007f90b7c23424 in g_malloc0 (n_bytes=18446744072098939136) at gmem.c:129
#9  0x00007f90b56544e0 in blur_pixels (pixels_in=pixels_in@entry=0x55a13a1f16c0 "", width_in=width_in@entry=16, height_in=height_in@entry=16, rowstride_in=rowstride_in@entry=16, blur=<optimized out>, 
    width_out=width_out@entry=0x7ffc8cad95e4, height_out=height_out@entry=0x7ffc8cad95e8, rowstride_out=0x7ffc8cad95ec) at ../src/st/st-private.c:280
#10 0x00007f90b5654cbe in _st_create_shadow_pipeline (shadow_spec=shadow_spec@entry=0x7f90908b08d0, src_texture=src_texture@entry=0x55a141098110) at ../src/st/st-private.c:372
#11 0x00007f90b56550ab in _st_create_shadow_pipeline_from_actor (shadow_spec=0x7f90908b08d0, actor=0x55a1399c1e50) at ../src/st/st-private.c:434
#12 0x00007f90b565174c in st_icon_update_shadow_pipeline (icon=icon@entry=0x55a13fbd2890) at ../src/st/st-icon.c:278
#13 0x00007f90b56517d8 in st_icon_finish_update (icon=icon@entry=0x55a13fbd2890) at ../src/st/st-icon.c:310
#14 0x00007f90b56519b8 in st_icon_update (icon=0x55a13fbd2890) at ../src/st/st-icon.c:381

Comment 80 Nicolas Dufresne 2017-12-14 17:08:11 UTC
For me, I was hacking xvimagesink in GStreamer, and during the dev I wrote a small bug, the cropping was set incorrectly. Turns out that crashes the Intel xorg driver and gnome-shell while at it. Clearly some code is completly unprotected from application sending random data. If needed I can provide a patch to gst that reproduce this all the time.

Comment 81 Ray Strode [halfline] 2017-12-14 18:08:04 UTC
dupe of bug 1476603 ?

Comment 82 Michael Cronenworth 2017-12-14 18:14:06 UTC
Doubt it.

$ rpm -q mutter
mutter-3.26.2-1.fc27.x86_64

Comment 83 Matthias Clasen 2017-12-14 19:20:19 UTC
the stacktraces in comment 0 and comment 79 look entirely unrelated

Comment 84 Ray Strode [halfline] 2017-12-14 20:32:39 UTC
bug 1476603 comment 0 and comment 0 have at least some passing similarity.  comment 79 looks way different than both of course.

Comment 85 kevin 2017-12-14 20:39:57 UTC
The Gnome automatic reporter chose to add my crash to this bug report. If its duplicate heuristics seem to be wrong, where do I report a bug on the Gnome automatic reporter?

Comment 86 kevin 2017-12-14 21:05:26 UTC
Created bug #1526166 for abrt-applet. Created bug #1526164 for my crash in comment #78.

Comment 87 Adam Williamson 2017-12-14 22:53:19 UTC
I am working on getting the abrt side of this addressed. See:

https://bugzilla.redhat.com/show_bug.cgi?id=1509086
https://github.com/abrt/satyr/pull/264

it is indeed the case that there are many unrelated issues incorrectly being reported as 'dupes' of this bug. I am going to clean up the actual duplicate reports (reopening one report for each actual separate problem, and closing others as dupes of the correct parent).

For folks who didn't get a separate report that was closed as a dupe, but just got a comment added here, it'd be great if, once I'm done, take a look through the list of candidate bugs (I'll post it here) and if your problem is one of those, add yourself to that bug. If your problem isn't one of those, please file a new report manually with your traceback. Thanks a lot!

Comment 88 Adam Williamson 2017-12-15 01:51:14 UTC
Mikhail's actual original bug here looks quite a lot like this one:

https://bugzilla.gnome.org/show_bug.cgi?id=765655
http://bugs.kerbalspaceprogram.com/issues/11382
https://bugzilla.redhat.com/show_bug.cgi?id=1387926

Mikhail, were you by chance trying to run Kerbal Space Program when the crash happened?

Comment 89 Adam Williamson 2017-12-15 03:34:42 UTC
OK, so I'm mostly done unpicking the separately-filed dupes, now. Some obvious patterns emerged.

For everyone following along and trying to figure out what their problem is, here's the drill. Open the problem report directory (you can do this from the Problem Reporter tool) and examine the 'backtrace' and 'var_log_messages' files - they're the most useful for figuring out what's going on.

If you see the magic number 18446744072098939136 - e.g. "failed to allocate 18446744072098939136 bytes" - in either, then your bug is https://bugzilla.redhat.com/show_bug.cgi?id=1526164 .

If you see something like this in var_log_messages:

"(EE) wl_registry@2: error 0: invalid global wl_output (20)"

(the number after 'wl_registry@' and/or the number at the end may differ), then your bug is https://bugzilla.redhat.com/show_bug.cgi?id=1514220 .

If you see an error like "ClutterBoxLayout child panel minimum height: -1.000000 < 0" in var_log_messages, and you have the Multi Monitor extension enabled, your bug is likely https://bugzilla.redhat.com/show_bug.cgi?id=1514981 .

If you see "intel_do_flush_locked failed: Input/output error" in var_log_messages , your bug is probably https://bugzilla.redhat.com/show_bug.cgi?id=1515473 . If you see "intel_do_flush_locked failed: Cannot allocate memory", it's probably https://bugzilla.redhat.com/show_bug.cgi?id=1525693 .

If you were trying to launch Kerbal Space Program when the crash happened, your bug is probably https://bugzilla.redhat.com/show_bug.cgi?id=1387926 .

If you see "_create_input_context: assertion failed: (ibusimcontext->ibuscontext == NULL)", your bug is probably https://bugzilla.redhat.com/show_bug.cgi?id=1518117 .

There are a few other patterns I'm not yet 100% sure indicate true dupes yet, but if you see "Finalizing proxy for an object that's scheduled to be unrooted: Gio.Subprocess" , keep an eye on https://bugzilla.redhat.com/show_bug.cgi?id=1514732 and https://bugzilla.redhat.com/show_bug.cgi?id=1522921 . If you see "Finalizing proxy for an object that's scheduled to be unrooted: Gio.Subprocess" , keep an eye on https://bugzilla.redhat.com/show_bug.cgi?id=1522921 . If you see "Too many open files" - especially "Creating pipes for GWakeup: Too many open files" - see https://bugzilla.redhat.com/show_bug.cgi?id=1516553 . If your crash is a SIGFPE and the backtrace references meta_window_wayland_move_resize_internal , keep an eye on https://bugzilla.redhat.com/show_bug.cgi?id=1525470 and https://bugzilla.redhat.com/show_bug.cgi?id=1525757 .

If you're still having trouble figuring it out, feel free to mail me the backtrace and var_log_messages files and I will take a look at them for you.

Thanks folks, and sorry for the inconvenience.

Comment 90 Mikhail 2017-12-15 03:43:55 UTC
(In reply to Adam Williamson from comment #88)
> Mikhail's actual original bug here looks quite a lot like this one:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=765655
> http://bugs.kerbalspaceprogram.com/issues/11382
> https://bugzilla.redhat.com/show_bug.cgi?id=1387926
> 
> Mikhail, were you by chance trying to run Kerbal Space Program when the
> crash happened?

No, and I said more.
KSP not work on latest Fedora.

$ ./KSP.x86_64 
Set current directory to /home/mikhail/.local/share/Steam/steamapps/common/Kerbal Space Program
Found path: /home/mikhail/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP.x86_64
Mono path[0] = '/home/mikhail/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/Managed'
Mono path[1] = '/home/mikhail/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/Mono'
Mono config path = '/home/mikhail/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5
displaymanager : trying .X11-unix
client :0 has 1 screens
displaymanager screen (0): 1920 x 1080
No protocol specified
Using libudev for joystick management


Importing game controller configs
Aborted (core dumped)

Comment 91 Adam Williamson 2017-12-15 03:45:10 UTC
Mikhail: thanks. So do you remember what you *were* doing? Have you hit the same crash - with a "BadAlloc (insufficient resources for operation)" error logged - since?

Comment 92 Jacob 2017-12-15 21:09:29 UTC
Similar problem has been detected:

Connected my computer to external TV

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7981cc78a5604071babce1892bc4c6a8;i=4533;b=0244ecc1994a4415890429f6346f807e;m=1472d77df8;t=560675c2c6656;x=345cad07f9160a4a
kernel:         4.13.16-302.fc27.x86_64
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 93 Adam Williamson 2017-12-15 21:24:54 UTC
Jacob: as discussed above, there's a bit of a problem here with many different crashes being erroneously reported as duplicates of this bug. Given that your crash is SIGFPE, it *could* be the same as https://bugzilla.redhat.com/show_bug.cgi?id=1525470 and/or https://bugzilla.redhat.com/show_bug.cgi?id=1525757 .

Comment 94 Stephen Adler 2017-12-18 16:03:17 UTC
*** Bug 1527141 has been marked as a duplicate of this bug. ***

Comment 95 Andrew J. Caines 2017-12-18 19:12:44 UTC
*** Bug 1527200 has been marked as a duplicate of this bug. ***

Comment 96 Alex Villacís Lasso 2017-12-20 19:12:49 UTC
(In reply to Adam Williamson from comment #89)
> OK, so I'm mostly done unpicking the separately-filed dupes, now. Some
> obvious patterns emerged.
> 
> For everyone following along and trying to figure out what their problem is,
> here's the drill. Open the problem report directory (you can do this from
> the Problem Reporter tool) and examine the 'backtrace' and
> 'var_log_messages' files - they're the most useful for figuring out what's
> going on.
> 
> If you see the magic number 18446744072098939136 - e.g. "failed to allocate
> 18446744072098939136 bytes" - in either, then your bug is
> https://bugzilla.redhat.com/show_bug.cgi?id=1526164 .
> 
> If you see something like this in var_log_messages:
> 
> "(EE) wl_registry@2: error 0: invalid global wl_output (20)"
> 
> (the number after 'wl_registry@' and/or the number at the end may differ),
> then your bug is https://bugzilla.redhat.com/show_bug.cgi?id=1514220 .
> 
> If you see an error like "ClutterBoxLayout child panel minimum height:
> -1.000000 < 0" in var_log_messages, and you have the Multi Monitor extension
> enabled, your bug is likely
> https://bugzilla.redhat.com/show_bug.cgi?id=1514981 .
> 
> If you see "intel_do_flush_locked failed: Input/output error" in
> var_log_messages , your bug is probably
> https://bugzilla.redhat.com/show_bug.cgi?id=1515473 . If you see
> "intel_do_flush_locked failed: Cannot allocate memory", it's probably
> https://bugzilla.redhat.com/show_bug.cgi?id=1525693 .
> 
> If you were trying to launch Kerbal Space Program when the crash happened,
> your bug is probably https://bugzilla.redhat.com/show_bug.cgi?id=1387926 .
> 
> If you see "_create_input_context: assertion failed:
> (ibusimcontext->ibuscontext == NULL)", your bug is probably
> https://bugzilla.redhat.com/show_bug.cgi?id=1518117 .
> 
> There are a few other patterns I'm not yet 100% sure indicate true dupes
> yet, but if you see "Finalizing proxy for an object that's scheduled to be
> unrooted: Gio.Subprocess" , keep an eye on
> https://bugzilla.redhat.com/show_bug.cgi?id=1514732 and
> https://bugzilla.redhat.com/show_bug.cgi?id=1522921 . If you see "Finalizing
> proxy for an object that's scheduled to be unrooted: Gio.Subprocess" , keep
> an eye on https://bugzilla.redhat.com/show_bug.cgi?id=1522921 . If you see
> "Too many open files" - especially "Creating pipes for GWakeup: Too many
> open files" - see https://bugzilla.redhat.com/show_bug.cgi?id=1516553 . If
> your crash is a SIGFPE and the backtrace references
> meta_window_wayland_move_resize_internal , keep an eye on
> https://bugzilla.redhat.com/show_bug.cgi?id=1525470 and
> https://bugzilla.redhat.com/show_bug.cgi?id=1525757 .
> 
> If you're still having trouble figuring it out, feel free to mail me the
> backtrace and var_log_messages files and I will take a look at them for you.
> 
> Thanks folks, and sorry for the inconvenience.

Several of these bugs show just "Access Denied" to me, so I cannot study them to see if any of them are relevant to my case (https://bugzilla.redhat.com/show_bug.cgi?id=1279291).

Comment 97 Adam Williamson 2017-12-20 19:28:07 UTC
I don't think your bug is a case of any of these bugs, but something probably specific to your graphics hardware.

All the duplicate bugs are private, indeed; this is because of how abrt works. If abrt thinks a crash is a duplicate of an existing bug, but the user still wants to submit their report and chooses to mark it as 'private', abrt will create a new bug and immediately close it as a duplicate of the parent bug (apparently because of some limitation with marking comments as private). If the reporter does *not* choose to mark their report as private, abrt simply adds a comment to the parent bug (and in those cases I can't tell what crash the reporter actually hit, because the comment doesn't include any backtrace data).

So we *only* get duplicate bugs when the reporter chooses to mark them as private, basically.

I'm intending to check through each of the dupes and remove the privacy restrictions, but I have to be careful just in case one really *does* have private data in it. usually when abrt suggests making a report private it's a false positive, but occasionally it really *does* spot sensitive data in a report such that it should be private.

Comment 98 xqgex.n 2017-12-21 20:38:58 UTC
*** Bug 1528442 has been marked as a duplicate of this bug. ***

Comment 99 Eik Woldach 2017-12-22 07:21:12 UTC
Similar problem has been detected:

Randomly during the day. no way to reproduce

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=e5049d514d3d40ed9f3390a049e65eb9;i=12692;b=4593354dfd2f49419a36f7f01a9b4fc1;m=5fa49602;t=560e8180896d7;x=9a43fb31641a3bca
kernel:         4.14.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-2.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 100 Martijn Faassen 2017-12-22 09:56:15 UTC
*** Bug 1528589 has been marked as a duplicate of this bug. ***

Comment 101 Anton 2017-12-22 20:43:53 UTC
*** Bug 1528703 has been marked as a duplicate of this bug. ***

Comment 102 Eugene Kanter 2017-12-24 04:33:05 UTC
*** Bug 1528791 has been marked as a duplicate of this bug. ***

Comment 103 Toon Verstraelen 2017-12-25 06:47:28 UTC
*** Bug 1528903 has been marked as a duplicate of this bug. ***

Comment 104 Ilya 2017-12-26 07:16:22 UTC
*** Bug 1529051 has been marked as a duplicate of this bug. ***

Comment 105 Felix Kaechele 2017-12-26 17:15:45 UTC
Similar problem has been detected:

Happened after waking up from suspend and logging in.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8924cd8b99804dc8b3f3a7278a73f82b;i=26a3f;b=fee52e26d465492dacdbe3044142ad8c;m=1be90cf1f;t=561413e5b0722;x=92f194363c7f5646
kernel:         4.14.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-2.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 106 Felix Kaechele 2017-12-27 16:04:37 UTC
Similar problem has been detected:

After unplugging from the Thunderbolt 3 dock the machine went into suspend. After waking up from suspend and logging back in I was greeted with a fresh session and ABRT popup that gnome-shell had crashed.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8924cd8b99804dc8b3f3a7278a73f82b;i=2903c;b=4ae91689ee7447dcbf046ce740fa5c1f;m=30fcab159;t=5615474a25de9;x=c59f66aee4de22f6
kernel:         4.14.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-2.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 107 Christian Kujau 2017-12-27 23:34:14 UTC
*** Bug 1529400 has been marked as a duplicate of this bug. ***

Comment 108 Anton 2017-12-28 16:27:21 UTC
*** Bug 1529546 has been marked as a duplicate of this bug. ***

Comment 109 Sean Sheedy 2017-12-28 17:38:51 UTC
Similar problem has been detected:

- Multiple program windows open (browsers, email, terminal, etc.).
- Attempted to start LibreOffice Writer from the pulldown menu.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=040f2b14fc134aaba96f9dac0113a6f8;i=2a7e2;b=22d7fe2bbadf4a039a5110c3da5450d4;m=da10f47a9;t=56169ca8ee441;x=cbfd138bf9484223
kernel:         4.14.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-2.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 110 Henrik Nymann Jensen 2017-12-28 22:31:13 UTC
*** Bug 1529606 has been marked as a duplicate of this bug. ***

Comment 111 Purusharth Saxena 2018-01-01 10:51:17 UTC
*** Bug 1530030 has been marked as a duplicate of this bug. ***

Comment 112 Kristian Frantti 2018-01-02 13:13:25 UTC
One way to reproduce this error (found today);

- open terminal
- type: sudo dnf list > /home/$USERACCOUNT/Desktop/dnf_list.txt

Then open file explorer and open Your documents folder.

Try drag & drop the dnf_list.txt from desktop to Documents folder.

Cursor changes to hand icon and file copy do not happend. You can't click to any other active window or even reboot Your machine.

Before latest patches desktop did crash, but now it just hangs.

After 15 minutes I did open my laptop and log via ssh and give "sudo shutdown -F now" to Linux Workstation.

Lost approx 1h video editing because of this problem.

Comment 113 kxra 2018-01-02 13:50:08 UTC
*** Bug 1530303 has been marked as a duplicate of this bug. ***

Comment 114 kxra 2018-01-03 03:36:11 UTC
*** Bug 1530436 has been marked as a duplicate of this bug. ***

Comment 115 Adam Williamson 2018-01-03 23:32:55 UTC
Kristian - can you check the XWayland backtrace you get from that reproducer and see if it's actually the same as this one? And attach the full backtrace of the Shell crash and as much of the system journal from around the time of the crash as you can? Thanks!

Felix - same question, if your case in #c106 is reproducible by repeating the same steps...

Comment 116 Koen van der Rijt 2018-01-04 14:04:38 UTC
Similar problem has been detected:

no clue what happened

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=60647a2aac0e4c3fb771bbde9722c8e0;i=144c;b=b3ba7bb3c9fa4076b39fd41fa4464e49;m=ef3ccc5;t=561f3bc3f72ac;x=9e4ed21af7510599
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 117 Joshua D Doll 2018-01-04 15:58:26 UTC
*** Bug 1531123 has been marked as a duplicate of this bug. ***

Comment 118 AaronK 2018-01-05 02:58:19 UTC
*** Bug 1531366 has been marked as a duplicate of this bug. ***

Comment 119 QuangND 2018-01-05 05:17:44 UTC
*** Bug 1531394 has been marked as a duplicate of this bug. ***

Comment 120 thilp 2018-01-08 09:17:01 UTC
Similar problem has been detected:

Dragging a window (Gnome Terminal) from an auxiliary screen to the main (laptop) screen, in a 3-screen setup.
The crash happened exactly when the mouse was supposed to cross the border between the two desktops.
This is far from the first time. It has already happened in various configurations, but always when dragging a window and crossing a screen boundary.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b130d1ed0e9340cc83f1e4feaef11b35;i=115247;b=450f9fe9a9b84944bb7d747868f5e8ea;m=4e4216f9;t=5624023b7b00d;x=727f9834168b7d1f
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 121 Cenk Kulacoglu 2018-01-09 10:45:17 UTC
*** Bug 1532562 has been marked as a duplicate of this bug. ***

Comment 122 Miguel M. 2018-01-12 11:14:40 UTC
*** Bug 1533844 has been marked as a duplicate of this bug. ***

Comment 123 Jesus M. Rodriguez 2018-01-12 18:10:34 UTC
Similar problem has been detected:

I locked the screen using the gnome widget in the header bar on the right side. Walked away from laptop.
Screen went to sleep, when I got back I logged in and saw my gnome-terminal flash on the screen with no window
decorations. Then back to the login screen.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=09bc56936ff844b0982a48fbe5ab9431;i=f2770c;b=844031d7d472466d81aa2a2543a6bee7;m=2b32c074e;t=56297d40c4fd3;x=25e2818c83f06318
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 124 Colin Barker 2018-01-12 21:35:10 UTC
*** Bug 1534037 has been marked as a duplicate of this bug. ***

Comment 125 Colin Barker 2018-01-12 21:38:41 UTC
Have restricted access to bug report so duplicate bug 1510059 will be opened and backtrace data will be available.

Comment 126 EnricoD 2018-01-13 17:10:57 UTC
Similar problem has been detected:

The problem is like a crash. If no glue what is the origin.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2a9f43bc7afd44ed939b16e934b4990d;i=8b854;b=ce5ec6126c3f40a0ae1a90ca242932e2;m=595b9dffe;t=562ab4d853952;x=dfbdea6293b61c95
kernel:         4.14.11-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 127 EnricoD 2018-01-13 17:44:36 UTC
*** Bug 1534168 has been marked as a duplicate of this bug. ***

Comment 128 didier.coignet 2018-01-15 14:41:40 UTC
*** Bug 1534605 has been marked as a duplicate of this bug. ***

Comment 129 David Laurell 2018-01-17 08:30:53 UTC
*** Bug 1535356 has been marked as a duplicate of this bug. ***

Comment 130 Zhang Boyu 2018-01-17 19:46:12 UTC
Similar problem has been detected:

It randomly happens while I'm opening a new window(Amrock, Steam, Nautilus, Chrome, Terminal,
or even Applications List)

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=389dfe8178da4944b60afaecb74ca0de;i=3d6cd9;b=20d2379a007b4c399a5d76d05bf1e551;m=5bdcfd2a8;t=562fdd832fd18;x=6bd6f5df556b1c39
kernel:         4.14.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 131 David Reed 2018-01-17 22:08:51 UTC
*** Bug 1535690 has been marked as a duplicate of this bug. ***

Comment 132 Andrea Pivetta 2018-01-18 12:51:02 UTC
Similar problem has been detected:

Draggin an electron app from a monitor to another

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7c1f37af3c204fe0b73c4bd88e52fcaf;i=23155;b=539c46335fcf4f51bbd039f3ceef86f5;m=3e96157c7;t=5630c1bc3993b;x=e0637bc94a3fe2c4
kernel:         4.14.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 133 skinb4rk 2018-01-18 22:25:31 UTC
*** Bug 1536216 has been marked as a duplicate of this bug. ***

Comment 134 Steven Stern 2018-01-24 16:19:47 UTC
Similar problem has been detected:

dragged amarok from one display to another

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=1f9e411085e4407fac870b2f1d9ab822;i=2516c;b=5551cad6bae94ffca008476c70710796;m=cf705a8;t=56387f0157b7b;x=b4746388bddd60e1
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 135 jaynelson 2018-01-25 16:59:39 UTC
*** Bug 1538729 has been marked as a duplicate of this bug. ***

Comment 136 Matthew J. Fitzpatrick 2018-01-29 13:01:17 UTC
*** Bug 1539690 has been marked as a duplicate of this bug. ***

Comment 137 Niki 2018-01-29 17:07:21 UTC
*** Bug 1539827 has been marked as a duplicate of this bug. ***

Comment 138 andres.mihkelson 2018-01-30 11:07:53 UTC
*** Bug 1540143 has been marked as a duplicate of this bug. ***

Comment 139 Anton Arapov 2018-01-30 11:14:33 UTC
Similar problem has been detected:

crashes randomly and logouts me after the recent update.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=20e0bb08935c4a9dbecb398c1d055a90;i=24d1d;b=84bc2867f9a44329bcd3f4324d59ef72;m=376a49486;t=563fc63bec2e7;x=251ffa1d3e86a9e8
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 140 Jesus M. Rodriguez 2018-01-30 14:20:35 UTC
(In reply to Anton Arapov from comment #139)
> Similar problem has been detected:
> 
> crashes randomly and logouts me after the recent update.
> 
> reporter:       libreport-2.9.3
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-shell
> crash_function: raise
> executable:     /usr/bin/gnome-shell
> journald_cursor:
> s=20e0bb08935c4a9dbecb398c1d055a90;i=24d1d;
> b=84bc2867f9a44329bcd3f4324d59ef72;m=376a49486;t=563fc63bec2e7;
> x=251ffa1d3e86a9e8
> kernel:         4.14.14-300.fc27.x86_64
> package:        gnome-shell-3.26.2-4.fc27
> reason:         gnome-shell killed by SIGTRAP
> rootdir:        /
> runlevel:       N 5
> type:           CCpp
> uid:            1000

I have a similar behavior. If I lock the screen and come back to login, it will flash, I can see that gnome-shell dies because the window decoration goes away, then it takes me back to the login password prompt. It does that twice THEN logs me out and takes me back to the username prompt. It's REALLY annoying.

Comment 141 Hin-Tak Leung 2018-01-30 15:48:47 UTC
I had a few of these crashes recently in quick succession, just by plugging in a usb drive. Possibly from the nautilus.

Also, I found I can "reliably" crash gnome-shell lately by viewing a jpeg larger than the screen size with xv. xv does a bit scale-to-fit screen, and displays a little "smoothing" button at the top, before gnome-crashes. Did not use to happen - xv used to work okay with gnome-shell.

Comment 142 Sean Sheedy 2018-01-30 16:50:46 UTC
(In reply to Hin-Tak Leung from comment #141)
> I had a few of these crashes recently in quick succession, just by plugging
> in a usb drive. Possibly from the nautilus.
> 
> Also, I found I can "reliably" crash gnome-shell lately by viewing a jpeg
> larger than the screen size with xv. xv does a bit scale-to-fit screen, and
> displays a little "smoothing" button at the top, before gnome-crashes. Did
> not use to happen - xv used to work okay with gnome-shell.

For the usb drive crashes, you may be seeing a slightly different manifestation of the gnome-shell extension bug I filed yesterday:

https://bugzilla.redhat.com/show_bug.cgi?id=1539879

The workaround is to disable all gnome-shell extensions.

Comment 143 Hin-Tak Leung 2018-01-30 18:56:25 UTC
(In reply to Sean Sheedy from comment #142)
> For the usb drive crashes, you may be seeing a slightly different
> manifestation of the gnome-shell extension bug I filed yesterday:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1539879
> 
> The workaround is to disable all gnome-shell extensions.

Argh, thanks. put myself to cc there now.

Comment 144 Sander 2018-02-01 07:54:12 UTC
*** Bug 1540857 has been marked as a duplicate of this bug. ***

Comment 145 Milan Bouchet-Valat 2018-02-01 08:40:56 UTC
Similar problem has been detected:

Session crashed when starting VSCode.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=1cecd474888444668c48997f12d9a678;i=264a0;b=e93fd0c1ecc04f41bc64fb428f5b9534;m=2da22fde;t=564227d1c3c74;x=bcdf23ba15999582
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 146 Mikhail 2018-02-01 18:20:15 UTC
Similar problem has been detected:

Valgrinded mono application

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=9179b0a671eb4731a464610a42963171;i=6bdbf;b=75fc890f05204bdb8eea53b7e91782b4;m=c8ea403ff;t=5642a939c6c2f;x=65defbdaad5b7ae1
kernel:         4.15.0-rc4-amd-vega+
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 147 Adam Johnson 2018-02-03 17:24:09 UTC
*** Bug 1541649 has been marked as a duplicate of this bug. ***

Comment 148 Kevin 2018-02-04 10:13:05 UTC
*** Bug 1541716 has been marked as a duplicate of this bug. ***

Comment 149 Michael Hampton 2018-02-05 02:26:38 UTC
Similar problem has been detected:

Disabled all extensions and logged out.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2f562566aef842edb0f578e84907af73;i=eaf16;b=7c138a1ff6904982a648ef056bcbda17;m=94ddbd052f;t=5646dac8cd10a;x=3a131b677b549613
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 150 phutauruk 2018-02-05 10:57:49 UTC
*** Bug 1541974 has been marked as a duplicate of this bug. ***

Comment 151 Vitaliy 2018-02-05 12:32:56 UTC
*** Bug 1542032 has been marked as a duplicate of this bug. ***

Comment 152 hatzilla 2018-02-05 16:59:42 UTC
*** Bug 1542146 has been marked as a duplicate of this bug. ***

Comment 153 Arjan Hulsebos 2018-02-07 21:24:05 UTC
Similar problem has been detected:

Tried to open an image in "Image Viewer" by double-clicking on it, I guess.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8bf1ac1dcdec43c88e317e27458bc55a;i=89b83;b=c7ae52587cb84124b458a263be89069f;m=1260018e4a;t=564a5a29971e4;x=29fd89841226535
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 154 Sergio Pascual 2018-02-08 18:37:20 UTC
Similar problem has been detected:

Clicking a button in pycharm

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b79e14c7d98342a98aa2c902d5f340f0;i=39927c;b=163eb33d8edf4a718f88f8dd31ea4123;m=49bd9f65f;t=564b77187d612;x=3015bbfc6a480a49
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 155 CreativeWay 2018-02-09 11:30:56 UTC
*** Bug 1543816 has been marked as a duplicate of this bug. ***

Comment 156 Sergio Pascual 2018-02-09 14:51:45 UTC
Similar problem has been detected:

Opening a matplotlib window. This is the third time today

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b79e14c7d98342a98aa2c902d5f340f0;i=39cd7e;b=163eb33d8edf4a718f88f8dd31ea4123;m=15bc78ef3b;t=564c89226ceee;x=d72fd991343ab425
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 157 Sergio Pascual 2018-02-09 17:29:27 UTC
Similar problem has been detected:

Matplotlib and pycharm, fourth time today

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b79e14c7d98342a98aa2c902d5f340f0;i=39dee4;b=163eb33d8edf4a718f88f8dd31ea4123;m=17f555bcd4;t=564cacb039c86;x=4c51a7ab884fbe71
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 158 Adam Williamson 2018-02-10 01:59:22 UTC
Sergio: as I noted a few weeks back, there are multiple bugs being erroneously marked as 'dupes', here. As your case seems quite specifically reproducible, can you please file a new bug, and attach a full traceback and system log messages from around the time of the crash? Thanks!

Comment 159 Mikhail 2018-02-10 14:05:28 UTC
After this crashing again all sound devices are disappeared.

Comment 160 Mikhail 2018-02-10 14:06:53 UTC
Created attachment 1394282 [details]
sound devices

Comment 161 Mikhail 2018-02-10 14:16:12 UTC
Created attachment 1394295 [details]
system log

Comment 162 Mikhail 2018-02-10 14:17:32 UTC
Created attachment 1394296 [details]
dmesg

Comment 163 Mikhail 2018-02-10 14:21:49 UTC
Created attachment 1394297 [details]
backtrace

Comment 164 Fernando 2018-02-10 23:24:39 UTC
*** Bug 1544161 has been marked as a duplicate of this bug. ***

Comment 165 Julio Entrena Perez 2018-02-12 09:40:55 UTC
Similar problem has been detected:

While dragging a window from a secondary display to the primary display I "touched" the top bar. Seems always reproducible.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=ae533833e4c94f839f50002731081545;i=89590;b=c62ba0b9b90240438e1ea0e854383a1c;m=116d834c;t=565008f35721a;x=4a8a7ad6d733b614
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 166 Gabriel PREDA 2018-02-12 10:59:08 UTC
*** Bug 1544388 has been marked as a duplicate of this bug. ***

Comment 167 Michal Bocek 2018-02-12 16:25:04 UTC
Similar problem has been detected:

The gnome-shell died about a second after logging to my user account on freshly restarted system. I could only see logo of doublecmd starting as I have it in ~/.config/autostart/ alongside a few other apps (chrome, VS code, pidgin, terminal, thunderbird).

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=ff6b5f0c52b241f39bdea4d7a89d3d84;i=a2e;b=07e341f8699d4c17b52cc010b09720e0;m=359789b;t=5650622d01b26;x=4b41572cf0529f35
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 168 Andrea Pivetta 2018-02-13 13:32:54 UTC
Similar problem has been detected:

I moved one window from a monitor to another

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=45495f512bd94c4bae2fb2de1b088fd4;i=109a0;b=faafdbb54cb74b1ba29d87266c6b5614;m=4a6ab6f8d;t=56517b64f4206;x=4d82bc0cc60231f
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 169 Adam Williamson 2018-02-13 16:36:00 UTC
Mikhail: your system logs show something called "sbis3plugin" crashing right before GNOME does; it's very likely that's what takes GNOME down in your case. Do you know what that is? Thanks.

Comment 170 Mikhail 2018-02-14 06:31:07 UTC
"sbis3plugin" crashes at every time at start. It's totally harmless for gnome. Anyway this application developed by company where i work and I already reported about this bug.

Comment 171 nero 2018-02-14 21:27:06 UTC
Similar problem has been detected:

stačí ve firefoxu na jakékoliv stránce znáčknout F11 a přestane systém reagovat, pak se ale po dvou minutách "odhlásí" a musím se znova přihlásit.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=100c377ee4e049eeac7159fad15b6851;i=5664;b=f9e3123667b247b29cb335e83c006349;m=414b04a02;t=565321d3b7b63;x=ddc23b6cae1cf41c
kernel:         4.14.18-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 172 Jean Pihet 2018-02-15 15:47:34 UTC
*** Bug 1545814 has been marked as a duplicate of this bug. ***

Comment 173 Kristian Wrang 2018-02-16 07:14:24 UTC
Similar problem has been detected:

1. Had been using machine normally, with Chrome, Slack and Spotify running.
2. Shut down Slack, Chrome and Spotify (in that order) and then logged out.
3. Screen stays on for a moment while logged out, then turns off.
4. No use in 15 hours, next morning I have indication that gnome-shell had crashed.
5. Crash occured while logged out, screen off and only docker-ce daemon running on top of default Fedora 27 install

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=cb707452696346b4b431d9f0f5243c79;i=12943;b=f774fcb6784f4203b9a2a1aeaed361fa;m=4316c9d91e;t=56540f2c430d3;x=a3cc040649e949da
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 174 valera 2018-02-17 22:48:26 UTC
*** Bug 1546468 has been marked as a duplicate of this bug. ***

Comment 175 fespositoita (Francesco Esposito) 2018-02-18 09:18:03 UTC
*** Bug 1546491 has been marked as a duplicate of this bug. ***

Comment 176 Arjan Hulsebos 2018-02-18 12:36:03 UTC
Similar problem has been detected:

Trying to open a PDF file in Document Viewer

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8bf1ac1dcdec43c88e317e27458bc55a;i=15cbb2;b=5905338b739149b080db468933a63f31;m=192096bda8;t=5657b4ed7abff;x=70d143c43ea4eba
kernel:         4.14.18-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 177 Gautham Sevar 2018-02-20 17:06:05 UTC
*** Bug 1547190 has been marked as a duplicate of this bug. ***

Comment 178 Sander 2018-02-21 10:19:52 UTC
Similar problem has been detected:

Started ICA client (which opens full screen on both monitors by default).
This resulted in a gnome-shell crash and a Wayland crash to gdm ;(

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2adc117acc924e558d13e7d89f12635e;i=8ca02;b=c944d1959b864575888fb0231e94f618;m=22fcd2544;t=565b62f6ab825;x=fcfca29e58aa812d
kernel:         4.15.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 179 iakub.stefanski 2018-02-21 14:28:35 UTC
*** Bug 1547558 has been marked as a duplicate of this bug. ***

Comment 180 Vadim 2018-02-22 04:37:34 UTC
*** Bug 1547840 has been marked as a duplicate of this bug. ***

Comment 181 Clement Verna 2018-02-22 08:58:36 UTC
*** Bug 1547901 has been marked as a duplicate of this bug. ***

Comment 182 Dan Fairs 2018-02-23 08:59:43 UTC
*** Bug 1548335 has been marked as a duplicate of this bug. ***

Comment 183 Master Fox 2018-02-23 10:53:42 UTC
*** Bug 1548372 has been marked as a duplicate of this bug. ***

Comment 184 Jérémie Lorente 2018-02-23 23:56:26 UTC
*** Bug 1548594 has been marked as a duplicate of this bug. ***

Comment 185 rickyb.com 2018-02-24 03:07:09 UTC
*** Bug 1548623 has been marked as a duplicate of this bug. ***

Comment 186 QuangND 2018-02-24 03:56:15 UTC
*** Bug 1548629 has been marked as a duplicate of this bug. ***

Comment 187 Troy Lindsay 2018-02-24 14:30:39 UTC
*** Bug 1548723 has been marked as a duplicate of this bug. ***

Comment 188 Dan Fairs 2018-02-24 16:09:59 UTC
*** Bug 1548738 has been marked as a duplicate of this bug. ***

Comment 189 Mikhail 2018-02-24 17:42:45 UTC
Similar problem has been detected:

Just go to Activities

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=75f0742d5ca44ac38ee4b4a7c94615b6;i=320a;b=4c7d2f90ce454a33b0a0618668e180f6;m=43e1b36c6;t=565f8b4ddfc5c;x=39077a5fb48e63fe
kernel:         4.15.4-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 190 Mikhail 2018-02-24 17:48:41 UTC
Created attachment 1400374 [details]
system log

Comment 191 Mikhail 2018-02-24 17:50:27 UTC
Feb 24 22:35:33 localhost.localdomain gnome-shell[1513]: gmem.c:130: failed to allocate 18446744072098939136 bytes


Why gnome-shell want to allocate such size of memory?

Comment 192 Adam Williamson 2018-02-24 19:05:36 UTC
Mikhail: that particular one is a well-known case: https://bugzilla.gnome.org/show_bug.cgi?id=788627 , and https://bugzilla.redhat.com/show_bug.cgi?id=1526164 .

Comment 193 Adam Williamson 2018-02-24 19:07:09 UTC
Sorry, https://bugzilla.gnome.org/show_bug.cgi?id=788908 is the main upstream bug for that one now.

Comment 194 Edward J. Huff 2018-02-24 21:21:23 UTC
Similar problem has been detected:

I have two ViewSonic monitors, configured as one desktop, with the top edges aligned and no noticable gap between them.

Monitor 1  on left is 1920x1080
Monitor 2 on right is 1368x768

I started "system monitor" on screen 2, and tried to drag title bar off screen, but that's not allowed anymore.
Right clicked in title bar and chose move, which used to permit moving upward, but no luck.  dragged the window left
partly onto other screen, then to right a little, and my user session crashed.  Wasn't expecting a crash so I may have
forgotten some details.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7509017108e6429dbb2a7960ba3a708b;i=6c2487;b=88d2e770f2cc43f7987f40ca990404ec;m=3fecec6a77;t=565fb3c83fa3f;x=f50eac0514ad1a96
kernel:         4.15.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 195 Edward J. Huff 2018-02-24 21:47:36 UTC
*** Bug 1548768 has been marked as a duplicate of this bug. ***

Comment 196 Mikhail 2018-02-25 11:09:37 UTC
(In reply to Adam Williamson from comment #192)
> Mikhail: that particular one is a well-known case:
> https://bugzilla.gnome.org/show_bug.cgi?id=788627 , and
> https://bugzilla.redhat.com/show_bug.cgi?id=1526164 .

#788627 looks like on my last crash, but status in upstream marked as resolved in 3.26.x, but if it occurs again on my Fedora 27 it means that fix still not merged in Fedora package?

Comment 197 Roger Wells 2018-02-25 14:46:48 UTC
*** Bug 1548857 has been marked as a duplicate of this bug. ***

Comment 198 Hirm Loh 2018-02-25 22:42:58 UTC
*** Bug 1548888 has been marked as a duplicate of this bug. ***

Comment 199 Nicholas 2018-02-27 00:15:11 UTC
*** Bug 1549343 has been marked as a duplicate of this bug. ***

Comment 200 nero 2018-02-27 08:00:13 UTC
*** Bug 1549472 has been marked as a duplicate of this bug. ***

Comment 201 nero 2018-02-27 08:15:15 UTC
*** Bug 1549476 has been marked as a duplicate of this bug. ***

Comment 202 shahin mehraban 2018-02-27 11:53:17 UTC
*** Bug 1549533 has been marked as a duplicate of this bug. ***

Comment 203 Nicholas 2018-02-27 16:18:49 UTC
*** Bug 1549685 has been marked as a duplicate of this bug. ***

Comment 204 Virgilio 2018-02-27 16:36:40 UTC
*** Bug 1549692 has been marked as a duplicate of this bug. ***

Comment 205 bateshot 2018-02-28 11:55:08 UTC
*** Bug 1550042 has been marked as a duplicate of this bug. ***

Comment 206 Petr Viktorin 2018-02-28 12:24:11 UTC
Similar problem has been detected:

I have opened mplayer to watch a video. My screens flickered, then the video opened.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=18d086893a2b4c4db2e2bd6c64583a7b;i=ae740;b=c1a5ea4574954ca98ab50d20c9d9be37;m=eec8c44bb;t=56644bbd5c8c3;x=32c46f2e1c87c363
kernel:         4.15.4-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 207 roby 2018-02-28 13:42:46 UTC
*** Bug 1550092 has been marked as a duplicate of this bug. ***

Comment 208 Dmitrtiy 2018-02-28 19:27:42 UTC
*** Bug 1550209 has been marked as a duplicate of this bug. ***

Comment 209 František Zatloukal 2018-02-28 21:03:09 UTC
Similar problem has been detected:

Gnome Shell crashed after updating Dash to Dock extension.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=ed8b4215c2144aee822960b01087fbf7;i=4f735a;b=b8754baa0f214b61975e89bdd8dcce07;m=393669cb8f;t=5664bf623402d;x=10727fc73f01d719
kernel:         4.15.5-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 210 Denis Makedonov 2018-03-01 10:22:59 UTC
*** Bug 1550504 has been marked as a duplicate of this bug. ***

Comment 211 Dane Kirkendall 2018-03-01 17:21:48 UTC
*** Bug 1550650 has been marked as a duplicate of this bug. ***

Comment 212 aldrianobaja.m 2018-03-01 18:53:09 UTC
Similar problem has been detected:

I was working with my laptop, then I closed the lid. I moved places.
When I opened the lid, it showed me the login screen (with all users) instead of the password prompt for my username.
Then after logging in successfully it took longer than usual, and it then it showed a new desktop, as if I am logging in new, instead of logging back after suspending the session (i.e., the windows are not preserved).

This is the second time this happened. Might be related to suspending.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=e8b62ce3cee644238120e8f9caadbf92;i=23ce5a;b=c77208fcb40d42fc8b2da3f763545afb;m=f5dcd0534;t=5665e31d95d52;x=7e3ec4ced105d255
kernel:         4.15.4-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 213 Alexandre Fournier 2018-03-01 19:22:30 UTC
*** Bug 1550691 has been marked as a duplicate of this bug. ***

Comment 214 Jonathan Gazeley 2018-03-01 21:18:15 UTC
*** Bug 1550719 has been marked as a duplicate of this bug. ***

Comment 215 michael.c.thiel 2018-03-01 23:05:31 UTC
*** Bug 1550738 has been marked as a duplicate of this bug. ***

Comment 216 Mehdi Jorshari 2018-03-02 01:52:11 UTC
*** Bug 1550780 has been marked as a duplicate of this bug. ***

Comment 217 marcvw 2018-03-02 08:29:02 UTC
*** Bug 1550897 has been marked as a duplicate of this bug. ***

Comment 218 Radek Liska 2018-03-02 21:38:18 UTC
Similar problem has been detected:

- go to https://extensions.gnome.org/local/ via Firefox
- update the Dash to Dock  extension

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=6b84a9d91f0f45c6843893f273a99f97;i=28b55;b=92e038da91524401b2beb579d43cb8ad;m=12387ae9c;t=566749ecc5782;x=9ac3c5fcc827ad3e
kernel:         4.15.4-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 219 m.renusson 2018-03-03 10:19:45 UTC
*** Bug 1551194 has been marked as a duplicate of this bug. ***

Comment 220 aa_g 2018-03-04 21:22:35 UTC
*** Bug 1551341 has been marked as a duplicate of this bug. ***

Comment 221 BB 2018-03-04 22:11:59 UTC
*** Bug 1551344 has been marked as a duplicate of this bug. ***

Comment 222 fano 2018-03-05 11:33:33 UTC
Similar problem has been detected:

Updated dash to dock extension

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2a33de2fcd324561a27c78c08625c5b8;i=3406e;b=ba54fc222f9a465ab466fc976bd10ab8;m=91ba71e;t=566a6bf8692bb;x=7f893b5b94303624
kernel:         4.15.4-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 223 Oskar Berggren 2018-03-05 14:39:42 UTC
*** Bug 1551620 has been marked as a duplicate of this bug. ***

Comment 224 Darko Demić 2018-03-05 20:49:50 UTC
*** Bug 1551734 has been marked as a duplicate of this bug. ***

Comment 225 pgarraud 2018-03-05 22:27:39 UTC
*** Bug 1551764 has been marked as a duplicate of this bug. ***

Comment 226 Sander 2018-03-06 07:54:54 UTC
Similar problem has been detected:

Crash happens one in ten times of opening a Citrix session (.ica file) with Citrix ICA client (ICAClient-13.7.0.10276927-0.x86_64).
Client opens full screen on both monitors, gnome-shell crashes and takes Wayland with it.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2adc117acc924e558d13e7d89f12635e;i=9d09f;b=b9e8cd3fd82f453b9e918aeb061a90de;m=460d0d3;t=566b99aa5614e;x=8d0b1f456b09bc3e
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 227 cocoa 2018-03-06 09:17:08 UTC
*** Bug 1551945 has been marked as a duplicate of this bug. ***

Comment 228 kristiank 2018-03-06 09:36:38 UTC
*** Bug 1551967 has been marked as a duplicate of this bug. ***

Comment 229 Mohit Verma 2018-03-06 10:15:50 UTC
*** Bug 1552003 has been marked as a duplicate of this bug. ***

Comment 230 Dane Kirkendall 2018-03-06 14:04:19 UTC
*** Bug 1552104 has been marked as a duplicate of this bug. ***

Comment 231 Michael Kolomiets 2018-03-06 14:06:39 UTC
*** Bug 1552105 has been marked as a duplicate of this bug. ***

Comment 232 Marcel Hetzendorfer 2018-03-06 14:23:13 UTC
Similar problem has been detected:

Resumed from standby and unlocked the session

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=d47bf1a6370c4d14b43862c3e7a0a98b;i=b6bba;b=ef0da60a920c43f890d2bc23cbf2e23f;m=1639f2295;t=566bed55b6af4;x=40d5d6eced6213af
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 233 Gabriel 2018-03-07 05:02:15 UTC
Similar problem has been detected:

I woke my laptop from sleep and entered my pasword to unlock my session. The password box went away, the screen flickered, and then I was presented with the login screen again. I selected my user and typed my password, and logged in. I got a fresh session - the old one from before I had put the machine to sleep was lost.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=17ecbeced61e4e3e9ff920351ca3cce1;i=2b1ef;b=5168eec3952b4c558b9192a758b8f8b9;m=5a3720abb;t=566cb4ae8075c;x=dfae427718ef5d80
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 234 toddgator 2018-03-07 20:03:29 UTC
*** Bug 1552831 has been marked as a duplicate of this bug. ***

Comment 235 Alan Pevec (Fedora) 2018-03-08 01:10:48 UTC
Similar problem has been detected:

When clicking Move to Monitor Left in google-chrome-stable-64.0.3282.186-1.x86_64
Left is primary (external LCD) display and Right is built-in laptop display.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8a1d47df496e4f21b5609ef1cd5856e9;i=1934ab;b=fcc411cb0ff14271bc1df01384550736;m=13fca27b0c;t=566db88f2e21c;x=7e65c83d8dff136f
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            3426

Comment 236 Sajith Sasidharan 2018-03-08 02:36:40 UTC
*** Bug 1553013 has been marked as a duplicate of this bug. ***

Comment 237 Alan Jenkins 2018-03-15 17:50:55 UTC
Similar problem has been detected:

This happened on resume from suspend.
It's happened a couple of times.
So far I suspect this happens when XWayland crashes.
It's possible to reproduce something that looks similar by killing XWayland.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=154fafea2bba45d8b2f7f41da38bbd70;i=4cdd5d;b=6774ad1b9e154cb6bea74673bc9f49b9;m=d18f7e024;t=5677699fb056d;x=eeec185e557834c5
kernel:         4.15.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 238 Frank Urbina 2018-03-15 19:00:56 UTC
*** Bug 1557017 has been marked as a duplicate of this bug. ***

Comment 239 Kristian Frantti 2018-03-16 16:33:47 UTC
Could not stand with this distro.

Worthless and filled with errors.

Changed to Windows 2016 Server.

Comment 240 ehernan5csc 2018-03-16 21:23:07 UTC
*** Bug 1557553 has been marked as a duplicate of this bug. ***

Comment 241 dorofieiev.d 2018-03-17 07:37:42 UTC
*** Bug 1557612 has been marked as a duplicate of this bug. ***

Comment 242 Vedran Miletić 2018-03-17 09:29:00 UTC
Similar problem has been detected:

Opening a video in MPV

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=215aa6d0e4684da3887014ba3b2ab776;i=134d9;b=05f2617d07634184af303c5c098ae0aa;m=15f66c57;t=56798408c7ba6;x=ce3db8ad4580a800
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 243 Leslie Satenstein 2018-03-17 19:54:30 UTC
Similar problem has been detected:

During use of firefox

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b5a2ca396f5c46a1bb0e9b92c70b78c2;i=200fa;b=e91eae3b370640af8fbf1aba61c740b3;m=2af273ff4;t=567a0f3cd1e38;x=6276077d6fb859cb
kernel:         4.15.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 244 Shaukat Ali Ansari 2018-03-19 02:09:21 UTC
*** Bug 1557828 has been marked as a duplicate of this bug. ***

Comment 245 Patric Hans Peter Tschupp 2018-03-19 19:21:11 UTC
Similar problem has been detected:

Mit Besten Empfehlungen:
(Die folgend aufgeführten Information Weiterleiten gerne natürlich erwünscht, dankend.)
Dr. rer. nat. Patric Hans Peter Tschupp
SIO von:
http://www.pcfreak-support.ch/
PC Reparieren.
Gerne machen wir
Ihnen eine Offerte
einfach ne Anfrage per:
E-Mail: Auftrag@pcfreak-support.ch,
Phone: +41763929381
Skype: pcfreak81
Brief Post oder Persönlich unter:
www.pcfreak-support.ch
Patric Hans Peter Tschupp
Eschenstrasse 12
6020 Emmenbrücke
CH
https://yellow.local.ch/…/Tschupp-Patric--7G_mR6-6PJTsTVeDB…
Hey Du, guck mal! https://bdo.to/u/D0OPSen6yGe-HkWhxWUhqSAA
Spenden Auftragasgeld somit Vorkasse bitte auf: UBS AG:
IBAN: CH3500248207122M7W
81- Danke Das ist so, Gute Zeit bis denn.
Füg mich bitte auch auf YouTube als Kontakt hinzu. pcfreak-support.ch: 
https://www.youtube.com/playlist?list=PLE6iPNiVnsEwzD494LDlA7m5tWTPh4ZF9
Corporation 1981- #pcfreak www.pcfreak-support.ch/ -jetzt Alle änderungen wie Rechte vorbehalten.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
dso_list:       /usr/bin/gnome-shell gnome-shell-3.26.2-4.fc27.x86_64 (Fedora Project) 1519517108
executable:     /usr/bin/gnome-shell
journald_cursor: s=a6daa5013ba84922a2fa4b79c7770f3a;i=f23b;b=ebe3464ced4644d59ebb9929a5d7d8a2;m=a94d94b2a;t=567bcc9cf6072;x=c7b1248c24152458
kernel:         4.15.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 246 4nndee 2018-03-20 10:14:38 UTC
*** Bug 1558479 has been marked as a duplicate of this bug. ***

Comment 247 Denny Fuchs 2018-03-21 07:51:42 UTC
*** Bug 1558868 has been marked as a duplicate of this bug. ***

Comment 248 Kyriakos Fytrakis 2018-03-21 11:12:49 UTC
*** Bug 1558941 has been marked as a duplicate of this bug. ***

Comment 249 joev.mi 2018-03-21 13:06:12 UTC
*** Bug 1558987 has been marked as a duplicate of this bug. ***

Comment 250 Xavier Jodoin 2018-03-21 19:23:01 UTC
*** Bug 1559145 has been marked as a duplicate of this bug. ***

Comment 251 leonardo 2018-03-21 23:36:17 UTC
*** Bug 1559186 has been marked as a duplicate of this bug. ***

Comment 252 Gil Forcada 2018-03-21 23:55:42 UTC
*** Bug 1559192 has been marked as a duplicate of this bug. ***

Comment 253 Elliott Sales de Andrade 2018-03-22 01:48:04 UTC
Similar problem has been detected:

Resuming from suspend.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=60e21b25fe074c109e1d3ad15571e148;i=ee9b;b=82dc15d4f6a34cc58f1e8e38849d6190;m=e7f9a14e6;t=567f64a72b116;x=7c152fbd82cda03e
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 254 pkr 2018-03-22 19:48:49 UTC
*** Bug 1559579 has been marked as a duplicate of this bug. ***

Comment 255 alexandru.calcatinge 2018-03-23 12:41:27 UTC
*** Bug 1559863 has been marked as a duplicate of this bug. ***

Comment 256 Steven van der Schoot 2018-03-23 14:01:00 UTC
*** Bug 1559896 has been marked as a duplicate of this bug. ***

Comment 257 Haitao Cai 2018-03-23 18:45:08 UTC
Similar problem has been detected:

Happened when I try to log in from suspension.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=08a4efa3fa6e46f29f413b4ad313845c;i=19f5d;b=60c8d9c93df64b07ac10a0d2ab173822;m=2525cbddb;t=56818b49e6345;x=9a9c38662e4e4fe6
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 258 Oswaldo Casasola 2018-03-24 01:19:23 UTC
*** Bug 1560135 has been marked as a duplicate of this bug. ***

Comment 259 Mikko Huhtala 2018-03-24 06:30:43 UTC
*** Bug 1560151 has been marked as a duplicate of this bug. ***

Comment 260 jakobunt 2018-03-24 14:21:47 UTC
Similar problem has been detected:

Crash on logout

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=481c11e98f6447a38950a9d55fdd2521;i=399b;b=33152789d3594503b7a17f75fc72c1b0;m=63421d78c;t=5682922a50b5d;x=8b80d752be362f0
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1026

Comment 261 George Droumpalis 2018-03-24 16:05:38 UTC
*** Bug 1560193 has been marked as a duplicate of this bug. ***

Comment 262 Chris Murphy 2018-03-25 00:13:07 UTC
Similar problem has been detected:

Had just logged in (from gdm to gs) and got a notification of a crash.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f84c20b44fc4470485383944c7becd12;i=11eb;b=e8a0bb694084460a996794d3e985e051;m=30748783a;t=568316fa384a6;x=61f4704a49a00ec5
kernel:         4.16.0-0.rc6.git2.1.fc29.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 263 Erekle Magradze 2018-03-25 09:37:13 UTC
*** Bug 1560245 has been marked as a duplicate of this bug. ***

Comment 264 Noam Meltzer 2018-03-25 13:23:20 UTC
*** Bug 1560270 has been marked as a duplicate of this bug. ***

Comment 265 Pierre Ossman 2018-03-26 11:25:33 UTC
Similar problem has been detected:

Started a new vncviewer.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=464a9dd0081645af9c3fdd83778beec5;i=6df0f;b=ab69a9b440f44f4c96433862629e4128;m=c4eca33655;t=5684e1e0eced9;x=f13b580b6e1fa6e5
kernel:         4.15.8-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            210

Comment 266 Tales43 2018-03-26 13:02:59 UTC
*** Bug 1560569 has been marked as a duplicate of this bug. ***

Comment 267 rugk 2018-03-26 19:25:03 UTC
*** Bug 1560705 has been marked as a duplicate of this bug. ***

Comment 268 Ilya Shipitsin 2018-03-27 03:55:16 UTC
*** Bug 1560825 has been marked as a duplicate of this bug. ***

Comment 269 Steve 2018-03-27 05:32:15 UTC
*** Bug 1560836 has been marked as a duplicate of this bug. ***

Comment 270 Oskar Berggren 2018-03-27 07:34:45 UTC
*** Bug 1560869 has been marked as a duplicate of this bug. ***

Comment 271 biakymet 2018-03-27 09:01:02 UTC
*** Bug 1560904 has been marked as a duplicate of this bug. ***

Comment 272 Boomer Zha 2018-03-27 10:12:05 UTC
*** Bug 1560940 has been marked as a duplicate of this bug. ***

Comment 273 m.komarovsky 2018-03-27 13:35:03 UTC
Similar problem has been detected:

Moving a window from one screen to another (I have a 13'' laptop and a 24'' external display) will almost definately cause the crash

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=6bae8d5778f84833ae22f21214f5ec33;i=24ba4;b=8b2f8e4ec25440839f39fddc0c256814;m=3b4cb5c79;t=56864a0e6de4f;x=8d1ff8fa27eb23da
kernel:         4.15.10-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 274 valera 2018-03-27 14:50:03 UTC
*** Bug 1561066 has been marked as a duplicate of this bug. ***

Comment 275 Ali Sajid Imami 2018-03-28 14:03:20 UTC
*** Bug 1561535 has been marked as a duplicate of this bug. ***

Comment 276 Haitao Cai 2018-03-28 14:11:59 UTC
Similar problem has been detected:

Crashed when I logged in...

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=08a4efa3fa6e46f29f413b4ad313845c;i=22c02;b=0c87dccdbc6146778a952ceb9d4bb8d1;m=29a9ffb;t=56878e89ef43a;x=b8cd83582db761ba
kernel:         4.15.10-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 277 Elliott Sales de Andrade 2018-03-28 23:30:55 UTC
Similar problem has been detected:

Resume from suspend.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=c383a546284e4c009849df9650827f84;i=141e0;b=0d2fa8717d23424cb75fadb87f7ec128;m=cbd1d426e;t=5687fc55c05e3;x=70e434ba8ffb5a55
kernel:         4.15.10-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 278 Darko Demić 2018-03-29 08:05:55 UTC
*** Bug 1561925 has been marked as a duplicate of this bug. ***

Comment 279 Nazar 2018-03-31 07:48:03 UTC
*** Bug 1562491 has been marked as a duplicate of this bug. ***

Comment 280 Don Swaner 2018-03-31 21:43:27 UTC
*** Bug 1562545 has been marked as a duplicate of this bug. ***

Comment 281 Mirek Svoboda 2018-04-01 22:11:51 UTC
Similar problem has been detected:

Updating a Gnome shell extension

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=93f689a72c4041d2becf96c8c19d9761;i=13fc4;b=051b022c6cb6441d92a34bfb834a7458;m=d960e2bb1;t=568d09cf829fb;x=11a4ef095f31ad1f
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 282 Arjan Hulsebos 2018-04-04 19:06:06 UTC
Similar problem has been detected:

Double-clicking on an image in Nautilus to open it in Image Viewer.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8bf1ac1dcdec43c88e317e27458bc55a;i=4d0beb;b=d37283ecd8464516935cea289f684655;m=317b96d727;t=5690a50424d26;x=36a543cad69d1fd0
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 283 Elliott Sales de Andrade 2018-04-04 20:33:42 UTC
Similar problem has been detected:

Resume from suspend.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=c383a546284e4c009849df9650827f84;i=1bf24;b=1daef66817724f4e97c896c90f38d1c3;m=b7e9a302b;t=5690b92032554;x=a6dc15d72087f301
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 284 Renato Nascimento 2018-04-06 00:09:14 UTC
*** Bug 1564304 has been marked as a duplicate of this bug. ***

Comment 285 Alexey Kardashevskiy 2018-04-07 10:11:27 UTC
*** Bug 1564741 has been marked as a duplicate of this bug. ***

Comment 286 marco349s 2018-04-08 10:00:48 UTC
*** Bug 1564854 has been marked as a duplicate of this bug. ***

Comment 287 Vitaliy 2018-04-08 11:20:05 UTC
*** Bug 1564864 has been marked as a duplicate of this bug. ***

Comment 288 Stephen Adler 2018-04-09 14:18:41 UTC
Similar problem has been detected:

I started firefox. the problem always happens when a new window pops open. Most of the time it's firefox because I'm always opening a new web brower window.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=3bc68d849a60493c87cdd2a2f5e23dbd;i=1708;b=e1d365995c2e4ee3bf357e8ecf153351;m=23a402c32;t=5696af9882182;x=766306229f91ea9c
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 289 Hollis Blanchard 2018-04-10 02:51:32 UTC
Similar problem has been detected:

I opened my laptop lid, waking it from sleep.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=84b2abc94e6647afab37e0cde865f447;i=26805;b=810f70e304ff4b808d5ff16bc988bc00;m=5cf7d9e9d;t=5697576512c15;x=912012df8fab236a
kernel:         4.15.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 290 Granata Giovanni 2018-04-10 09:13:08 UTC
*** Bug 1565538 has been marked as a duplicate of this bug. ***

Comment 291 dlnraja 2018-04-10 09:58:34 UTC
*** Bug 1565556 has been marked as a duplicate of this bug. ***

Comment 292 dlnraja 2018-04-10 10:05:09 UTC
*** Bug 1565558 has been marked as a duplicate of this bug. ***

Comment 293 Sander 2018-04-10 12:05:35 UTC
Similar problem has been detected:

Started Citrix ICA client in full screen mode on dual monitor system.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=8cef348663444dc8b02f4c38549617df;i=b4a88;b=39f04b8a05414839bb31c977d9061363;m=46374fe1e;t=5697d3b3af723;x=c3168aa4d6101102
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 294 Daniel Thompson 2018-04-10 12:58:07 UTC
Similar problem has been detected:

This is a frequently occuring problem where the wayland session crashs during insertion/removal of a HDMI connector.

When HDMI is removed there is a single display:
  eDP: 3840x2160, normal orientation

When HDMI is inserted we switch to a dual display and resize the laptop display to get similar pixel sizes (and is a Yoga display so disconnected we invert the screen too):
  eDP: 1600x900, inverted orientation
  TypeC -> HDMI: 1920x1080, normal orientation


reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=f1c952a7b93f4786be07dd5ebe0c7e4a;i=938f3;b=7406307cc8f2401fab3bbf86b6f20c3c;m=166a2cba6b;t=5697c71185e68;x=7c25dfad2d41b596
kernel:         4.15.9-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 295 Ivan Makfinsky 2018-04-10 16:24:24 UTC
*** Bug 1565744 has been marked as a duplicate of this bug. ***

Comment 296 jose.miguel.perez.hernandez 2018-04-10 16:27:56 UTC
*** Bug 1565745 has been marked as a duplicate of this bug. ***

Comment 297 Eugene Kanter 2018-04-10 16:59:39 UTC
Similar problem has been detected:

dual monitor setup, moved a window from one monitor to another. I've done it many times before without problems. 

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=769114ef5fb84348aca868d4857db3e9;i=7c025;b=7cc063d6270847aeabf4feac404c354f;m=1ac88be4e;t=56981450245af;x=f53101a450d06081
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 298 Adam Williamson 2018-04-10 17:48:53 UTC
Can folks who are hitting this problem and can quite easily reproduce it please attach their system logs from around the time of a crash? There may well be more useful information in there which may differ from that in the logs of the original reporter (it seems several similar but not necessarily identical crashes are being reported as 'dupes' here, any time we hit this crash path due to a BadAlloc error, it looks like).

Comment 299 Piotr Wierzbicki 2018-04-11 00:51:34 UTC
*** Bug 1565872 has been marked as a duplicate of this bug. ***

Comment 300 Elliott Sales de Andrade 2018-04-11 07:10:31 UTC
Created attachment 1420199 [details]
System log

I've attached a system log from before suspend to logging back in after the resume crash and everything was restored. It is slightly edited to leave out some unique identifiers.

Comment 301 rohit 2018-04-11 15:26:56 UTC
*** Bug 1566137 has been marked as a duplicate of this bug. ***

Comment 302 Adam Williamson 2018-04-11 17:56:57 UTC
Elliott: there actually seem to be *two* crashes in that log, at :48 and :50. The one at :48 looks interesting, especially this line:

Apr 11 01:48:54 hostname unknown[27917]: xft_settings_set_xresources: assertion 'dpy != NULL' failed

which I also note in https://bugzilla.redhat.com/show_bug.cgi?id=1523586 ...

Comment 303 Adam Williamson 2018-04-11 18:03:21 UTC
OK, so looking at some of the recent dupes, it appears as if libreport is now treating any case where Shell crashes through this path:

 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 dump_gjs_stack_on_signal_handler at ../src/main.c:372
 #5 default_log_handler at ../src/main.c:315
 #8 x_io_error at wayland/meta-xwayland.c:418

which usually happens with this error message:

"Connection to xwayland lost"

as a dupe of this bug. So basically any time Shell goes down because XWayland went down, it looks like. This obviously means these cases are not necessarily related to each other at all, i.e. this is very similar to the case we had in https://bugzilla.redhat.com/show_bug.cgi?id=1509086 . I will try and get this sorted out in libreport/satyr.

Comment 304 Felix Valdez 2018-04-11 22:05:41 UTC
*** Bug 1566261 has been marked as a duplicate of this bug. ***

Comment 305 Petr Viktorin 2018-04-12 06:51:54 UTC
Similar problem has been detected:

O opened a new window in Gnome. Then, gnome-shell crashed and immediately restarted.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=1505ce9b917f41a580b5d3f486c38f31;i=6922;b=02a2d151e7b74db79104d07f1490cc14;m=b6d570736;t=569a118876962;x=af32c7bf37943b3
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 306 Elliott Sales de Andrade 2018-04-12 08:10:17 UTC
@Adam: yes that is true; sometimes I see two backtraces to report in abrt, sometimes not, I think. But I can't find myself cc'd on anything related to XWayland.

Looking at the XWayland one, ddg for "XkbGeomRealloc XWayland" points to bug 1557682, except that's SIGBUS, not SIGTRAP. `journalctl COREDUMP_SIGNAL_NAME=SIGBUS` shows the Xwayland dumps while `journalctl COREDUMP_SIGNAL_NAME=SIGTRAP` shows the gnome-shell dumps.

That bug is duped to bug 1548737 (ironically because google pointed to it instead) and *that* bug has a link to bug 1553979. The first bug's reporter seems to think it's related to kernel 4.15 while a dev on the last bug is trying to investigate X stuff a bit more. Unfortunately, I don't have kernel 4.14 installed any more *and* I can't exactly reproduce this reliably. It doesn't always crash on resume, which is the most annoying bit.

A bug for the fact that gnome-shell dies when XWayland does is bug 1556831.

Comment 307 Dorian Bullerwell 2018-04-12 15:28:59 UTC
*** Bug 1566610 has been marked as a duplicate of this bug. ***

Comment 308 Adam Williamson 2018-04-12 18:03:02 UTC
Elliot: if you try and file the XWayland crash from abrt, what happens?

Comment 309 Adam Williamson 2018-04-12 19:38:04 UTC
In fact, let's make that a general question!

For anyone who's filed a bug that the reporting tool told you was a duplicate of this bug: in the reporting tool you used, do you *also* see a crash report for XWayland from around the same time? What happens if you try to report that crash?

Thanks!

Comment 310 Petr Viktorin 2018-04-12 20:58:03 UTC
I (still) run Gnome on Xorg, so no Wayland crashes from me.

Comment 311 Elliott Sales de Andrade 2018-04-13 05:07:37 UTC
Adam: no sorry, I do not see anything about Xwayland in the reporter. I don't even see the ones I reported before now.

Just about 10 minutes ago, both user and gdm Xwayland hit SIGBUS on resume. The tracebacks are similar to the bug 1548737 that I linked above and not the one I posted earlier. However, neither of the user dumps are visible in Problem Reporting and on the system side, only the gnome-shell one is shown.

Comment 312 Petr Viktorin 2018-04-13 06:52:23 UTC
Similar problem has been detected:

I launched a new windowed app from the command line, then Gnome Shell crashed and immediately restarted.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=1505ce9b917f41a580b5d3f486c38f31;i=a313;b=b73593a420014ac8a8b2b68039069799;m=f2cb83f66;t=569b544b89381;x=baaa58dd0cc984e2
kernel:         4.15.15-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 313 Gan Shen 2018-04-13 09:21:27 UTC
*** Bug 1566986 has been marked as a duplicate of this bug. ***

Comment 314 Tomi Leppänen 2018-04-13 10:47:48 UTC
Similar problem has been detected:

Crashed after I logged in, opened some programs and moved windows around.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=efef958c84394f598c4c3d4ec47c4e2b;i=70d53;b=cb7f18ee748341bdbad1f0a6595f902e;m=306c7fa;t=569b8767fb5c6;x=9432c171647dd4b3
kernel:         4.15.12-301.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 315 Cristian Ciupitu 2018-04-13 12:24:10 UTC
I was using XFCE, so no Wayland.

Comment 316 Alvin 2018-04-13 12:46:26 UTC
Similar problem has been detected:

While working in remote session (remmina using FreeRDP) screen went blank.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=0ec58d88ba774608a1ccc8b5091f34bb;i=80f;b=2ace831eb91e437da4f5f2eb7d17a786;m=e72cbae;t=569ba1b9b8dcb;x=dbede3c4d98bff62
kernel:         4.15.15-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 317 kurczynski 2018-04-13 17:31:25 UTC
*** Bug 1567271 has been marked as a duplicate of this bug. ***

Comment 318 Balaji Baskaran 2018-04-13 19:21:25 UTC
*** Bug 1567317 has been marked as a duplicate of this bug. ***

Comment 319 Todd Warner 2018-04-13 22:37:33 UTC
*** Bug 1567397 has been marked as a duplicate of this bug. ***

Comment 320 ianv 2018-04-14 00:04:12 UTC
*** Bug 1567433 has been marked as a duplicate of this bug. ***

Comment 321 John A Pile Jr 2018-04-15 02:28:05 UTC
*** Bug 1567577 has been marked as a duplicate of this bug. ***

Comment 322 Mark 2018-04-15 06:52:17 UTC
*** Bug 1567588 has been marked as a duplicate of this bug. ***

Comment 323 Todd Warner 2018-04-15 13:04:46 UTC
Turns out gnome-shell became unstable for me after installation of the GnomeHub extension. Maybe use that for your troubleshooting?
https://github.com/lagartoflojo/gnomehub/issues/45

Comment 324 csk 2018-04-15 18:37:19 UTC
*** Bug 1567648 has been marked as a duplicate of this bug. ***

Comment 325 ianv 2018-04-16 11:09:45 UTC
same for me - I installed the hub extensions as well. Gnome unstable now - daily crash expected

Comment 326 denis shipilov 2018-04-16 19:00:36 UTC
*** Bug 1568113 has been marked as a duplicate of this bug. ***

Comment 327 Vincenzo Luongo 2018-04-18 08:36:20 UTC
Similar problem has been detected:

run my fedora 26
open slack and thunderbird
crash gnome

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7a67b7f3a03f4ac785074c1dae2621ff;i=10c32;b=0d24114218f2425cbd28f70754d8327a;m=2593a1c;t=56a1b361bfe08;x=c633b35c24f3c93b
kernel:         4.14.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 328 xzj8b3 2018-04-18 15:04:16 UTC
*** Bug 1569080 has been marked as a duplicate of this bug. ***

Comment 329 Pål Andreassen 2018-04-20 05:34:43 UTC
*** Bug 1569845 has been marked as a duplicate of this bug. ***

Comment 330 marco349s 2018-04-20 20:10:00 UTC
*** Bug 1570179 has been marked as a duplicate of this bug. ***

Comment 331 Kumar Abhishek 2018-04-21 03:17:06 UTC
*** Bug 1570239 has been marked as a duplicate of this bug. ***

Comment 332 matt.dubell 2018-04-21 19:43:32 UTC
*** Bug 1570302 has been marked as a duplicate of this bug. ***

Comment 333 Joseph O Morrow 2018-04-22 17:18:38 UTC
*** Bug 1570413 has been marked as a duplicate of this bug. ***

Comment 334 gabriel.gass 2018-04-22 23:03:11 UTC
*** Bug 1570434 has been marked as a duplicate of this bug. ***

Comment 335 Joost van der Sluis 2018-04-23 10:28:10 UTC
Similar problem has been detected:

Basically I plugged in an external monitor into the hdmi port. This happens now and then. 
I have the feeling that it has something to do with the laptop waking up from suspend-mode, end when I then plug in an external monitor, gnome-shell dies.

Note that the main laptop screen is a 4k screen, while the external monitor is not. I think that by adding the second monitor, the HiDPI setting is switched from 200% to 100%. This might also have something to do with it. (Also given te resize messages in the backtrace)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=b1aca2aed15c4feb88212fb130d6f40b;i=53878;b=d4641b8346df4d598da70c8cc8a0c950;m=624d6d36;t=56a815079e309;x=38cc5b62f3c96756
kernel:         4.15.17-300.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 336 Martino 2018-04-24 23:07:16 UTC
*** Bug 1571475 has been marked as a duplicate of this bug. ***

Comment 337 rivery.soft 2018-04-25 09:33:23 UTC
Similar problem has been detected:

A laptop (Dell Latitude E7240) with dock and external displays.

Used the laptop without dock, closed lid (suspend), put it in dock, pressed power button (wake). 

For a short time the open software played music, then gnome shell crashed.
In dock, the device is connected in external display (different resolution than internal display, no multiple displays).

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=fa01a6001a1f49e1803cde1ed5f6bfa5;i=56305;b=17936ae3af8c4734955ff534bbfe9278;m=33f549314;t=56aa7e0207d5a;x=58f5dd26820176c7
kernel:         4.15.17-300.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 338 Rahul 2018-04-26 08:29:38 UTC
*** Bug 1572114 has been marked as a duplicate of this bug. ***

Comment 339 Selin Candemir 2018-04-28 16:25:32 UTC
*** Bug 1572909 has been marked as a duplicate of this bug. ***

Comment 340 ali.sherif10 2018-05-02 12:05:12 UTC
Similar problem has been detected:

The laptop lid was closed. After opening it, the screen lock appeared then froze. After a minute, I had to relogin.
I found about the crash, after login.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=23bd2a118689413ab709a911884b98f6;i=e74c1;b=da79746e749341d297d80b6b68131030;m=35f029d43;t=56b377cf8d884;x=2349c099333c018e
kernel:         4.16.5-200.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 341 Don Swaner 2018-05-07 14:35:25 UTC
*** Bug 1575654 has been marked as a duplicate of this bug. ***

Comment 342 Louis van Dyk 2018-05-10 11:02:34 UTC
Similar problem has been detected:

I was working in Evolution.  The screen blinked, and Gnome-Shell restarted.

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=53cf2f870bd74028a0783305eb165912;i=4b56a;b=52c6f5f80c6a4b3eb7c5799620689a46;m=19291ae0b;t=56bd773f029a9;x=4428f81af3f0658b
kernel:         4.16.6-202.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 343 Christopher Wambugu 2018-05-10 11:56:01 UTC
*** Bug 1576784 has been marked as a duplicate of this bug. ***

Comment 344 Louis van Dyk 2018-05-12 21:45:22 UTC
*** Bug 1577541 has been marked as a duplicate of this bug. ***

Comment 345 ddssantana89 2018-06-12 11:13:08 UTC
Similar problem has been detected:

I tried updating a gnome shell extension (dash to dock)

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=e6c0ad34c48843649ed273e2c8d4b889;i=126bf;b=59fb2474ebe64bad90c705fefa4331bf;m=114da73b;t=56e6fbc9c3324;x=9c037577e89bcc6b
kernel:         4.16.12-200.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 346 Przemyslaw Stobrawa 2018-07-06 07:59:48 UTC
*** Bug 1598681 has been marked as a duplicate of this bug. ***

Comment 347 Matthew J. Fitzpatrick 2018-07-17 17:57:40 UTC
*** Bug 1602065 has been marked as a duplicate of this bug. ***

Comment 348 Jean-Vincent Hay 2018-07-24 09:28:32 UTC
Similar problem has been detected:

Attempted to update Dash To Dock. The extension seems to have been updated correctly though. 

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=5a58578a73004d5b8811eed63f2ac74f;i=5065e;b=76a3808806b644a1812eefbd9c8f152a;m=13b279b9d;t=571bb28182f37;x=a3f64c8a9d44be5a
kernel:         4.16.14-200.fc27.x86_64
package:        gnome-shell-3.26.2-5.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 349 mobidyc 2018-10-16 10:29:04 UTC
*** Bug 1639661 has been marked as a duplicate of this bug. ***

Comment 350 Ben Cotton 2018-11-27 13:55:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 351 Ben Cotton 2018-11-30 23:06:04 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.